> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 強気 VS 弱気

<ResponseExample>
  ```json レスポンス (200 OK) theme={null}
  {
    "bulls_say_bears_say": [
      {
        "bear_case": "この分析では、中国における売上高が前年同期比で3.6%減少していることが浮き彫りになっており、重要な地域での業績に対する懸念を招いています。さらに、売上総利益率は前年同期比で約47%と安定している一方で、営業費用の増加が収益性を損なうリスクとなっています。加えて、iPhone売上の成長鈍化の可能性や、Appleの評判低下の懸念により、同社のバリュエーションに下押し圧力がかかり、投資家の不安材料となる可能性があります。",
        "bull_case": "Appleの第4四半期売上高は1,025億ドルと前年同期比8%増となり、予想とほぼ一致しました。これにより、主にiPhone売上の堅調なパフォーマンスに支えられ、次四半期の売上高は10～12%の成長が見込まれています。同社はまた、営業利益が324億ドルとなり、前年同期比で10%増加したほか、サービス売上も15%増加し、売上総利益率の動向に対してプラスに寄与しました。さらに、中国地域での成長期待と、AIおよびプロダクト開発への戦略的投資により、運営費用が増加しているにもかかわらず、Appleは持続的な長期成長に向けて良好なポジションにあります。",
        "id": "6951d73e304f6ecd69d00189",
        "securities": [
          {
            "cik": "0000320193",
            "exchange": "NASDAQ Global Select Consolidated",
            "isin": "US0378331005",
            "name": "APPLE INC",
            "symbol": "AAPL"
          }
        ],
        "ticker": "AAPL",
        "updated": 1766971198
      }
    ]
  }
  ```

  ```json レスポンス (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "認証トークンが無効であるか、指定されていません"
      }
    ]
  }
  ```

  ```json レスポンス (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "指定されたパラメータに該当するデータが見つかりませんでした"
      }
    ]
  }
  ```

  ```json レスポンス (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "リクエストの処理中に予期しないエラーが発生しました"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ja/openapi/calendar-api.spec.yml GET /api/v1/bulls_bears_say
openapi: 3.0.0
info:
  contact: {}
  description: >-
    تُعيد واجهة برمجة تطبيقات REST هذه بيانات مُنظَّمة لمكالمات المؤتمرات
    الهاتفية (conference calls)، وتوزيعات الأرباح (dividends)، والأرباح (بما في
    ذلك تواريخ الأرباح المستقبلية)، والبيانات الاقتصادية، وإعلانات شركات
    الأدوية، والتوجيّهات المستقبلية للشركات (guidance)، والاكتتابات العامة
    الأولية (IPOs)، والعروض الثانوية، والتقييمات (ratings)، وأنشطة الاندماجات
    والاستحواذات (M&A)، وتجزيئة الأسهم (splits).
  termsOfService: http://swagger.io/terms/
  title: Calendar API
  version: 2.1.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v1/bulls_bears_say:
    get:
      tags:
        - Bulls Say Bears Say
      summary: أحدث السيناريوهات الصعودية والهبوطية لرمز تداول محدّد
      description: >-
        يعيد أحدث الأطروحات الاستثمارية الصعودية والهبوطية لسهم معيّن بناءً على
        رمز التداول الخاص به. تعرض الأطروحات الصعودية مبررات إيجابية لشراء
        السهم، بينما تعرض الأطروحات الهبوطية مبررات سلبية لعدم شرائه.
      operationId: get-bulls-say-bears-say-v1
      parameters:
        - description: رمز تداول السهم المراد الاستعلام عن حالات السوق الصاعدة/الهابطة له
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            إزاحة الصفحة. لأسباب تتعلق بالتحسين والأداء والاعتبارات التقنية، يتم
            تقييد قيم إزاحة الصفحة بين 0 و100000. حَدِّد نتائج الاستعلام
            باستخدام معلمات أخرى مثل التاريخ. القيمة الافتراضية هي 0.
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: عدد النتائج التي ستُرجَع، بحد أقصى 200
          in: query
          name: pagesize
          schema:
            type: integer
            maximum: 200
            default: 100
        - description: >-
            الطابع الزمني (Unix timestamp) لآخر تحديث للسجلات بتوقيت UTC.
            سيُجبِر هذا ترتيب الفرز على أن يكون أكبر من أو يساوي الطابع الزمني
            المُشار إليه
          in: query
          name: parameters[updated]
          schema:
            type: integer
      responses:
        '200':
          description: مصفوفة بالحالات الصعودية والهبوطية لرمز التداول المطلوب
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.BullsSayBearsSayResponse'
        '400':
          description: الطلب غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '401':
          description: معلومات المصادقة مفقودة أو غير صالحة
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '404':
          description: لم يتم العثور على سيناريو صعودي/هبوطي لرمز التداول المُقدَّم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/api.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.BullsSayBearsSayResponse:
      description: >-
        استجابة واجهة برمجة التطبيقات API التي تتضمن مصفوفة سجلات لـ Bulls Say
        Bears Say
      properties:
        bulls-say-bears-say:
          items:
            $ref: '#/components/schemas/calendarapi.BullsSayBearsSay'
          type: array
      type: object
    api.ErrorResponse:
      properties:
        text:
          type: string
      type: object
    calendarapi.BullsSayBearsSay:
      properties:
        analyst_firms_referenced:
          example: 12
          type: integer
        bear_case:
          example: Market saturation and competitive pressures
          type: string
        bull_case:
          example: Strong product pipeline and ecosystem lock-in effect
          type: string
        created:
          example: 1704819000
          type: integer
        exchange:
          example: NASDAQ
          type: string
        id:
          example: 60a7f5e8e4b0f5a3c8e9f5c0
          type: string
        latest:
          example: true
          type: boolean
        securities:
          items:
            properties:
              cik:
                example: '320193'
                type: string
              exchange:
                example: NASDAQ
                type: string
              isin:
                example: US0378331005
                type: string
              name:
                example: Apple Inc.
                type: string
              symbol:
                example: AAPL
                type: string
            type: object
          type: array
        ticker:
          example: AAPL
          type: string
        updated:
          example: 1704819600
          type: integer
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````